Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcknowledgmentType`
  `createAcknowledgmentType()`
  Create an instance of `AcknowledgmentType`
  `AddressType`
  `createAddressType()`
  Create an instance of `AddressType`
  `AddressTypeBase`
  `createAddressTypeBase()`
  Create an instance of `AddressTypeBase`
  `AdministrationquantityType`
  `createAdministrationquantityType()`
  Create an instance of `AdministrationquantityType`
  `AdministrationunitType`
  `createAdministrationunitType()`
  Create an instance of `AdministrationunitType`
  `AuthorType`
  `createAuthorType()`
  Create an instance of `AuthorType`
  `Base64EncryptedDataType`
  `createBase64EncryptedDataType()`
  Create an instance of `Base64EncryptedDataType`
  `Base64EncryptedValueType`
  `createBase64EncryptedValueType()`
  Create an instance of `Base64EncryptedValueType`
  `CertaintyType`
  `createCertaintyType()`
  Create an instance of `CertaintyType`
  `Civilstate`
  `createCivilstate()`
  Create an instance of `Civilstate`
  `CompoundprescriptionType`
  `createCompoundprescriptionType()`
  Create an instance of `CompoundprescriptionType`
  `jakarta.xml.bind.JAXBElement<CompoundType>`
  `createCompoundprescriptionTypeCompound(CompoundType value)`
  Create an instance of `JAXBElement``<``CompoundType``>`
  `jakarta.xml.bind.JAXBElement<FormularyreferenceType>`
  `createCompoundprescriptionTypeFormularyreference(FormularyreferenceType value)`
  Create an instance of `JAXBElement``<``FormularyreferenceType``>`
  `jakarta.xml.bind.JAXBElement<GalenicformType>`
  `createCompoundprescriptionTypeGalenicform(GalenicformType value)`
  Create an instance of `JAXBElement``<``GalenicformType``>`
  `jakarta.xml.bind.JAXBElement<TextType>`
  `createCompoundprescriptionTypeMagistraltext(TextType value)`
  Create an instance of `JAXBElement``<``TextType``>`
  `jakarta.xml.bind.JAXBElement<QuantityType>`
  `createCompoundprescriptionTypeQuantity(QuantityType value)`
  Create an instance of `JAXBElement``<``QuantityType``>`
  `CompoundType`
  `createCompoundType()`
  Create an instance of `CompoundType`
  `ConfidentialityType`
  `createConfidentialityType()`
  Create an instance of `ConfidentialityType`
  `ContentlocalitemattributeType`
  `createContentlocalitemattributeType()`
  Create an instance of `ContentlocalitemattributeType`
  `ContentType`
  `createContentType()`
  Create an instance of `ContentType`
  `CostType`
  `createCostType()`
  Create an instance of `CostType`
  `CountryType`
  `createCountryType()`
  Create an instance of `CountryType`
  `DateType`
  `createDateType()`
  Create an instance of `DateType`
  `DayperiodType`
  `createDayperiodType()`
  Create an instance of `DayperiodType`
  `Daytime`
  `createDaytime()`
  Create an instance of `Daytime`
  `Denominator`
  `createDenominator()`
  Create an instance of `Denominator`
  `DurationType`
  `createDurationType()`
  Create an instance of `DurationType`
  `ErrorMyCarenetType`
  `createErrorMyCarenetType()`
  Create an instance of `ErrorMyCarenetType`
  `ErrorType`
  `createErrorType()`
  Create an instance of `ErrorType`
  `Externalsource`
  `createExternalsource()`
  Create an instance of `Externalsource`
  `FCMAXType`
  `createFCMAXType()`
  Create an instance of `FCMAXType`
  `FCMINType`
  `createFCMINType()`
  Create an instance of `FCMINType`
  `Feedback`
  `createFeedback()`
  Create an instance of `Feedback`
  `FolderType`
  `createFolderType()`
  Create an instance of `FolderType`
  `FormularyreferenceType`
  `createFormularyreferenceType()`
  Create an instance of `FormularyreferenceType`
  `FrequencyType`
  `createFrequencyType()`
  Create an instance of `FrequencyType`
  `GalenicformType`
  `createGalenicformType()`
  Create an instance of `GalenicformType`
  `HcpartyType`
  `createHcpartyType()`
  Create an instance of `HcpartyType`
  `HeaderType`
  `createHeaderType()`
  Create an instance of `HeaderType`
  `HeadingType`
  `createHeadingType()`
  Create an instance of `HeadingType`
  `HolterType`
  `createHolterType()`
  Create an instance of `HolterType`
  `IncapacityreasonType`
  `createIncapacityreasonType()`
  Create an instance of `IncapacityreasonType`
  `IncapacityType`
  `createIncapacityType()`
  Create an instance of `IncapacityType`
  `InsuranceType`
  `createInsuranceType()`
  Create an instance of `InsuranceType`
  `ItemType`
  `createItemType()`
  Create an instance of `ItemType`
  `Kmehrmessage`
  `createKmehrmessage()`
  Create an instance of `Kmehrmessage`
  `jakarta.xml.bind.JAXBElement<Signature>`
  `createKmehrmessageSignature(Signature value)`
  Create an instance of `JAXBElement``<``Signature``>`
  `LifecycleType`
  `createLifecycleType()`
  Create an instance of `LifecycleType`
  `LocalitemattributeType`
  `createLocalitemattributeType()`
  Create an instance of `LocalitemattributeType`
  `LocationBirthPlaceType`
  `createLocationBirthPlaceType()`
  Create an instance of `LocationBirthPlaceType`
  `MaxrefType`
  `createMaxrefType()`
  Create an instance of `MaxrefType`
  `MedicationType`
  `createMedicationType()`
  Create an instance of `MedicationType`
  `MedicinalProductType`
  `createMedicinalProductType()`
  Create an instance of `MedicinalProductType`
  `MemberinsuranceType`
  `createMemberinsuranceType()`
  Create an instance of `MemberinsuranceType`
  `MinrefType`
  `createMinrefType()`
  Create an instance of `MinrefType`
  `MomentType`
  `createMomentType()`
  Create an instance of `MomentType`
  `Nationality`
  `createNationality()`
  Create an instance of `Nationality`
  `Nominator`
  `createNominator()`
  Create an instance of `Nominator`
  `PackageType`
  `createPackageType()`
  Create an instance of `PackageType`
  `PeriodicityType`
  `createPeriodicityType()`
  Create an instance of `PeriodicityType`
  `Personalpart`
  `createPersonalpart()`
  Create an instance of `Personalpart`
  `PersonType`
  `createPersonType()`
  Create an instance of `PersonType`
  `PersonTypeLight`
  `createPersonTypeLight()`
  Create an instance of `PersonTypeLight`
  `Posology`
  `createPosology()`
  Create an instance of `Posology`
  `PresentationType`
  `createPresentationType()`
  Create an instance of `PresentationType`
  `ProfessionType`
  `createProfessionType()`
  Create an instance of `ProfessionType`
  `Quantityprefix`
  `createQuantityprefix()`
  Create an instance of `Quantityprefix`
  `QuantityType`
  `createQuantityType()`
  Create an instance of `QuantityType`
  `RecipientType`
  `createRecipientType()`
  Create an instance of `RecipientType`
  `RefscopeType`
  `createRefscopeType()`
  Create an instance of `RefscopeType`
  `Refvalue`
  `createRefvalue()`
  Create an instance of `Refvalue`
  `Regimen`
  `createRegimen()`
  Create an instance of `Regimen`
  `jakarta.xml.bind.JAXBElement<Instant>`
  `createRegimenDate(Instant value)`
  Create an instance of `JAXBElement``<``Instant``>`
  `jakarta.xml.bind.JAXBElement<BigInteger>`
  `createRegimenDaynumber(BigInteger value)`
  Create an instance of `JAXBElement``<``BigInteger``>`
  `jakarta.xml.bind.JAXBElement<Daytime>`
  `createRegimenDaytime(Daytime value)`
  Create an instance of `JAXBElement``<``Daytime``>`
  `jakarta.xml.bind.JAXBElement<AdministrationquantityType>`
  `createRegimenQuantity(AdministrationquantityType value)`
  Create an instance of `JAXBElement``<``AdministrationquantityType``>`
  `jakarta.xml.bind.JAXBElement<Weekday>`
  `createRegimenWeekday(Weekday value)`
  Create an instance of `JAXBElement``<``Weekday``>`
  `RenewalType`
  `createRenewalType()`
  Create an instance of `RenewalType`
  `RouteType`
  `createRouteType()`
  Create an instance of `RouteType`
  `RRMAXType`
  `createRRMAXType()`
  Create an instance of `RRMAXType`
  `RRMINType`
  `createRRMINType()`
  Create an instance of `RRMINType`
  `SenderType`
  `createSenderType()`
  Create an instance of `SenderType`
  `SeverityType`
  `createSeverityType()`
  Create an instance of `SeverityType`
  `SexType`
  `createSexType()`
  Create an instance of `SexType`
  `SiteType`
  `createSiteType()`
  Create an instance of `SiteType`
  `Source`
  `createSource()`
  Create an instance of `Source`
  `Specialisation`
  `createSpecialisation()`
  Create an instance of `Specialisation`
  `StandardType`
  `createStandardType()`
  Create an instance of `StandardType`
  `StrengthType`
  `createStrengthType()`
  Create an instance of `StrengthType`
  `Substanceproduct`
  `createSubstanceproduct()`
  Create an instance of `Substanceproduct`
  `SubstanceType`
  `createSubstanceType()`
  Create an instance of `SubstanceType`
  `Takes`
  `createTakes()`
  Create an instance of `Takes`
  `TelecomType`
  `createTelecomType()`
  Create an instance of `TelecomType`
  `TemporalityType`
  `createTemporalityType()`
  Create an instance of `TemporalityType`
  `TextWithLayoutType`
  `createTextWithLayoutType()`
  Create an instance of `TextWithLayoutType`
  `Thirdpayercontract`
  `createThirdpayercontract()`
  Create an instance of `Thirdpayercontract`
  `TimequantityType`
  `createTimequantityType()`
  Create an instance of `TimequantityType`
  `TimeunitType`
  `createTimeunitType()`
  Create an instance of `TimeunitType`
  `TransactionType`
  `createTransactionType()`
  Create an instance of `TransactionType`
  `UnitType`
  `createUnitType()`
  Create an instance of `UnitType`
  `UrgencyType`
  `createUrgencyType()`
  Create an instance of `UrgencyType`
  `Weekday`
  `createWeekday()`
  Create an instance of `Weekday`
  `WeekdayType`
  `createWeekdayType()`
  Create an instance of `WeekdayType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

- ## Method Details

  - ### createKmehrmessage

    public Kmehrmessage createKmehrmessage()
    Create an instance of `Kmehrmessage`
    Returns:
      the new instance of `Kmehrmessage`

  - ### createConfidentialityType

    public ConfidentialityType createConfidentialityType()
    Create an instance of `ConfidentialityType`
    Returns:
      the new instance of `ConfidentialityType`

  - ### createHeaderType

    public HeaderType createHeaderType()
    Create an instance of `HeaderType`
    Returns:
      the new instance of `HeaderType`

  - ### createBase64EncryptedDataType

    public Base64EncryptedDataType createBase64EncryptedDataType()
    Create an instance of `Base64EncryptedDataType`
    Returns:
      the new instance of `Base64EncryptedDataType`

  - ### createFolderType

    public FolderType createFolderType()
    Create an instance of `FolderType`
    Returns:
      the new instance of `FolderType`

  - ### createPersonType

    public PersonType createPersonType()
    Create an instance of `PersonType`
    Returns:
      the new instance of `PersonType`

  - ### createDateType

    public DateType createDateType()
    Create an instance of `DateType`
    Returns:
      the new instance of `DateType`

  - ### createAddressTypeBase

    public AddressTypeBase createAddressTypeBase()
    Create an instance of `AddressTypeBase`
    Returns:
      the new instance of `AddressTypeBase`

  - ### createSexType

    public SexType createSexType()
    Create an instance of `SexType`
    Returns:
      the new instance of `SexType`

  - ### createNationality

    public Nationality createNationality()
    Create an instance of `Nationality`
    Returns:
      the new instance of `Nationality`

  - ### createAddressType

    public AddressType createAddressType()
    Create an instance of `AddressType`
    Returns:
      the new instance of `AddressType`

  - ### createTelecomType

    public TelecomType createTelecomType()
    Create an instance of `TelecomType`
    Returns:
      the new instance of `TelecomType`

  - ### createProfessionType

    public ProfessionType createProfessionType()
    Create an instance of `ProfessionType`
    Returns:
      the new instance of `ProfessionType`

  - ### createInsuranceType

    public InsuranceType createInsuranceType()
    Create an instance of `InsuranceType`
    Returns:
      the new instance of `InsuranceType`

  - ### createMemberinsuranceType

    public MemberinsuranceType createMemberinsuranceType()
    Create an instance of `MemberinsuranceType`
    Returns:
      the new instance of `MemberinsuranceType`

  - ### createCivilstate

    public Civilstate createCivilstate()
    Create an instance of `Civilstate`
    Returns:
      the new instance of `Civilstate`

  - ### createTransactionType

    public TransactionType createTransactionType()
    Create an instance of `TransactionType`
    Returns:
      the new instance of `TransactionType`

  - ### createAcknowledgmentType

    public AcknowledgmentType createAcknowledgmentType()
    Create an instance of `AcknowledgmentType`
    Returns:
      the new instance of `AcknowledgmentType`

  - ### createAdministrationquantityType

    public AdministrationquantityType createAdministrationquantityType()
    Create an instance of `AdministrationquantityType`
    Returns:
      the new instance of `AdministrationquantityType`

  - ### createAdministrationunitType

    public AdministrationunitType createAdministrationunitType()
    Create an instance of `AdministrationunitType`
    Returns:
      the new instance of `AdministrationunitType`

  - ### createAuthorType

    public AuthorType createAuthorType()
    Create an instance of `AuthorType`
    Returns:
      the new instance of `AuthorType`

  - ### createBase64EncryptedValueType

    public Base64EncryptedValueType createBase64EncryptedValueType()
    Create an instance of `Base64EncryptedValueType`
    Returns:
      the new instance of `Base64EncryptedValueType`

  - ### createCertaintyType

    public CertaintyType createCertaintyType()
    Create an instance of `CertaintyType`
    Returns:
      the new instance of `CertaintyType`

  - ### createCompoundType

    public CompoundType createCompoundType()
    Create an instance of `CompoundType`
    Returns:
      the new instance of `CompoundType`

  - ### createCompoundprescriptionType

    public CompoundprescriptionType createCompoundprescriptionType()
    Create an instance of `CompoundprescriptionType`
    Returns:
      the new instance of `CompoundprescriptionType`

  - ### createContentlocalitemattributeType

    public ContentlocalitemattributeType createContentlocalitemattributeType()
    Create an instance of `ContentlocalitemattributeType`
    Returns:
      the new instance of `ContentlocalitemattributeType`

  - ### createContentType

    public ContentType createContentType()
    Create an instance of `ContentType`
    Returns:
      the new instance of `ContentType`

  - ### createCostType

    public CostType createCostType()
    Create an instance of `CostType`
    Returns:
      the new instance of `CostType`

  - ### createCountryType

    public CountryType createCountryType()
    Create an instance of `CountryType`
    Returns:
      the new instance of `CountryType`

  - ### createDayperiodType

    public DayperiodType createDayperiodType()
    Create an instance of `DayperiodType`
    Returns:
      the new instance of `DayperiodType`

  - ### createDurationType

    public DurationType createDurationType()
    Create an instance of `DurationType`
    Returns:
      the new instance of `DurationType`

  - ### createErrorType

    public ErrorType createErrorType()
    Create an instance of `ErrorType`
    Returns:
      the new instance of `ErrorType`

  - ### createErrorMyCarenetType

    public ErrorMyCarenetType createErrorMyCarenetType()
    Create an instance of `ErrorMyCarenetType`
    Returns:
      the new instance of `ErrorMyCarenetType`

  - ### createFormularyreferenceType

    public FormularyreferenceType createFormularyreferenceType()
    Create an instance of `FormularyreferenceType`
    Returns:
      the new instance of `FormularyreferenceType`

  - ### createGalenicformType

    public GalenicformType createGalenicformType()
    Create an instance of `GalenicformType`
    Returns:
      the new instance of `GalenicformType`

  - ### createFCMAXType

    public FCMAXType createFCMAXType()
    Create an instance of `FCMAXType`
    Returns:
      the new instance of `FCMAXType`

  - ### createFCMINType

    public FCMINType createFCMINType()
    Create an instance of `FCMINType`
    Returns:
      the new instance of `FCMINType`

  - ### createFrequencyType

    public FrequencyType createFrequencyType()
    Create an instance of `FrequencyType`
    Returns:
      the new instance of `FrequencyType`

  - ### createHcpartyType

    public HcpartyType createHcpartyType()
    Create an instance of `HcpartyType`
    Returns:
      the new instance of `HcpartyType`

  - ### createHeadingType

    public HeadingType createHeadingType()
    Create an instance of `HeadingType`
    Returns:
      the new instance of `HeadingType`

  - ### createHolterType

    public HolterType createHolterType()
    Create an instance of `HolterType`
    Returns:
      the new instance of `HolterType`

  - ### createIncapacityreasonType

    public IncapacityreasonType createIncapacityreasonType()
    Create an instance of `IncapacityreasonType`
    Returns:
      the new instance of `IncapacityreasonType`

  - ### createIncapacityType

    public IncapacityType createIncapacityType()
    Create an instance of `IncapacityType`
    Returns:
      the new instance of `IncapacityType`

  - ### createItemType

    public ItemType createItemType()
    Create an instance of `ItemType`
    Returns:
      the new instance of `ItemType`

  - ### createLifecycleType

    public LifecycleType createLifecycleType()
    Create an instance of `LifecycleType`
    Returns:
      the new instance of `LifecycleType`

  - ### createLocalitemattributeType

    public LocalitemattributeType createLocalitemattributeType()
    Create an instance of `LocalitemattributeType`
    Returns:
      the new instance of `LocalitemattributeType`

  - ### createLocationBirthPlaceType

    public LocationBirthPlaceType createLocationBirthPlaceType()
    Create an instance of `LocationBirthPlaceType`
    Returns:
      the new instance of `LocationBirthPlaceType`

  - ### createMaxrefType

    public MaxrefType createMaxrefType()
    Create an instance of `MaxrefType`
    Returns:
      the new instance of `MaxrefType`

  - ### createMedicationType

    public MedicationType createMedicationType()
    Create an instance of `MedicationType`
    Returns:
      the new instance of `MedicationType`

  - ### createMinrefType

    public MinrefType createMinrefType()
    Create an instance of `MinrefType`
    Returns:
      the new instance of `MinrefType`

  - ### createMomentType

    public MomentType createMomentType()
    Create an instance of `MomentType`
    Returns:
      the new instance of `MomentType`

  - ### createPackageType

    public PackageType createPackageType()
    Create an instance of `PackageType`
    Returns:
      the new instance of `PackageType`

  - ### createPeriodicityType

    public PeriodicityType createPeriodicityType()
    Create an instance of `PeriodicityType`
    Returns:
      the new instance of `PeriodicityType`

  - ### createPersonTypeLight

    public PersonTypeLight createPersonTypeLight()
    Create an instance of `PersonTypeLight`
    Returns:
      the new instance of `PersonTypeLight`

  - ### createPresentationType

    public PresentationType createPresentationType()
    Create an instance of `PresentationType`
    Returns:
      the new instance of `PresentationType`

  - ### createQuantityType

    public QuantityType createQuantityType()
    Create an instance of `QuantityType`
    Returns:
      the new instance of `QuantityType`

  - ### createRecipientType

    public RecipientType createRecipientType()
    Create an instance of `RecipientType`
    Returns:
      the new instance of `RecipientType`

  - ### createRefscopeType

    public RefscopeType createRefscopeType()
    Create an instance of `RefscopeType`
    Returns:
      the new instance of `RefscopeType`

  - ### createRenewalType

    public RenewalType createRenewalType()
    Create an instance of `RenewalType`
    Returns:
      the new instance of `RenewalType`

  - ### createRouteType

    public RouteType createRouteType()
    Create an instance of `RouteType`
    Returns:
      the new instance of `RouteType`

  - ### createRRMAXType

    public RRMAXType createRRMAXType()
    Create an instance of `RRMAXType`
    Returns:
      the new instance of `RRMAXType`

  - ### createRRMINType

    public RRMINType createRRMINType()
    Create an instance of `RRMINType`
    Returns:
      the new instance of `RRMINType`

  - ### createSenderType

    public SenderType createSenderType()
    Create an instance of `SenderType`
    Returns:
      the new instance of `SenderType`

  - ### createSeverityType

    public SeverityType createSeverityType()
    Create an instance of `SeverityType`
    Returns:
      the new instance of `SeverityType`

  - ### createSiteType

    public SiteType createSiteType()
    Create an instance of `SiteType`
    Returns:
      the new instance of `SiteType`

  - ### createStandardType

    public StandardType createStandardType()
    Create an instance of `StandardType`
    Returns:
      the new instance of `StandardType`

  - ### createStrengthType

    public StrengthType createStrengthType()
    Create an instance of `StrengthType`
    Returns:
      the new instance of `StrengthType`

  - ### createSubstanceType

    public SubstanceType createSubstanceType()
    Create an instance of `SubstanceType`
    Returns:
      the new instance of `SubstanceType`

  - ### createTemporalityType

    public TemporalityType createTemporalityType()
    Create an instance of `TemporalityType`
    Returns:
      the new instance of `TemporalityType`

  - ### createTextWithLayoutType

    public TextWithLayoutType createTextWithLayoutType()
    Create an instance of `TextWithLayoutType`
    Returns:
      the new instance of `TextWithLayoutType`

  - ### createTimequantityType

    public TimequantityType createTimequantityType()
    Create an instance of `TimequantityType`
    Returns:
      the new instance of `TimequantityType`

  - ### createTimeunitType

    public TimeunitType createTimeunitType()
    Create an instance of `TimeunitType`
    Returns:
      the new instance of `TimeunitType`

  - ### createUnitType

    public UnitType createUnitType()
    Create an instance of `UnitType`
    Returns:
      the new instance of `UnitType`

  - ### createUrgencyType

    public UrgencyType createUrgencyType()
    Create an instance of `UrgencyType`
    Returns:
      the new instance of `UrgencyType`

  - ### createWeekdayType

    public WeekdayType createWeekdayType()
    Create an instance of `WeekdayType`
    Returns:
      the new instance of `WeekdayType`

  - ### createMedicinalProductType

    public MedicinalProductType createMedicinalProductType()
    Create an instance of `MedicinalProductType`
    Returns:
      the new instance of `MedicinalProductType`

  - ### createSpecialisation

    public Specialisation createSpecialisation()
    Create an instance of `Specialisation`
    Returns:
      the new instance of `Specialisation`

  - ### createRefvalue

    public Refvalue createRefvalue()
    Create an instance of `Refvalue`
    Returns:
      the new instance of `Refvalue`

  - ### createPosology

    public Posology createPosology()
    Create an instance of `Posology`
    Returns:
      the new instance of `Posology`

  - ### createRegimen

    public Regimen createRegimen()
    Create an instance of `Regimen`
    Returns:
      the new instance of `Regimen`

  - ### createFeedback

    public Feedback createFeedback()
    Create an instance of `Feedback`
    Returns:
      the new instance of `Feedback`

  - ### createWeekday

    public Weekday createWeekday()
    Create an instance of `Weekday`
    Returns:
      the new instance of `Weekday`

  - ### createDaytime

    public Daytime createDaytime()
    Create an instance of `Daytime`
    Returns:
      the new instance of `Daytime`

  - ### createTakes

    public Takes createTakes()
    Create an instance of `Takes`
    Returns:
      the new instance of `Takes`

  - ### createNominator

    public Nominator createNominator()
    Create an instance of `Nominator`
    Returns:
      the new instance of `Nominator`

  - ### createDenominator

    public Denominator createDenominator()
    Create an instance of `Denominator`
    Returns:
      the new instance of `Denominator`

  - ### createSubstanceproduct

    public Substanceproduct createSubstanceproduct()
    Create an instance of `Substanceproduct`
    Returns:
      the new instance of `Substanceproduct`

  - ### createQuantityprefix

    public Quantityprefix createQuantityprefix()
    Create an instance of `Quantityprefix`
    Returns:
      the new instance of `Quantityprefix`

  - ### createPersonalpart

    public Personalpart createPersonalpart()
    Create an instance of `Personalpart`
    Returns:
      the new instance of `Personalpart`

  - ### createThirdpayercontract

    public Thirdpayercontract createThirdpayercontract()
    Create an instance of `Thirdpayercontract`
    Returns:
      the new instance of `Thirdpayercontract`

  - ### createExternalsource

    public Externalsource createExternalsource()
    Create an instance of `Externalsource`
    Returns:
      the new instance of `Externalsource`

  - ### createSource

    public Source createSource()
    Create an instance of `Source`
    Returns:
      the new instance of `Source`

  - ### createKmehrmessageSignature

    public jakarta.xml.bind.JAXBElement<Signature> createKmehrmessageSignature(Signature value)
    Create an instance of `JAXBElement``<``Signature``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Signature``>`

  - ### createRegimenDaynumber

    public jakarta.xml.bind.JAXBElement<BigInteger> createRegimenDaynumber(BigInteger value)
    Create an instance of `JAXBElement``<``BigInteger``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``BigInteger``>`

  - ### createRegimenQuantity

    public jakarta.xml.bind.JAXBElement<AdministrationquantityType> createRegimenQuantity(AdministrationquantityType value)
    Create an instance of `JAXBElement``<``AdministrationquantityType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AdministrationquantityType``>`

  - ### createRegimenDate

    public jakarta.xml.bind.JAXBElement<Instant> createRegimenDate(Instant value)
    Create an instance of `JAXBElement``<``Instant``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Instant``>`

  - ### createRegimenWeekday

    public jakarta.xml.bind.JAXBElement<Weekday> createRegimenWeekday(Weekday value)
    Create an instance of `JAXBElement``<``Weekday``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Weekday``>`

  - ### createRegimenDaytime

    public jakarta.xml.bind.JAXBElement<Daytime> createRegimenDaytime(Daytime value)
    Create an instance of `JAXBElement``<``Daytime``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Daytime``>`

  - ### createCompoundprescriptionTypeCompound

    public jakarta.xml.bind.JAXBElement<CompoundType> createCompoundprescriptionTypeCompound(CompoundType value)
    Create an instance of `JAXBElement``<``CompoundType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``CompoundType``>`

  - ### createCompoundprescriptionTypeFormularyreference

    public jakarta.xml.bind.JAXBElement<FormularyreferenceType> createCompoundprescriptionTypeFormularyreference(FormularyreferenceType value)
    Create an instance of `JAXBElement``<``FormularyreferenceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``FormularyreferenceType``>`

  - ### createCompoundprescriptionTypeMagistraltext

    public jakarta.xml.bind.JAXBElement<TextType> createCompoundprescriptionTypeMagistraltext(TextType value)
    Create an instance of `JAXBElement``<``TextType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TextType``>`

  - ### createCompoundprescriptionTypeGalenicform

    public jakarta.xml.bind.JAXBElement<GalenicformType> createCompoundprescriptionTypeGalenicform(GalenicformType value)
    Create an instance of `JAXBElement``<``GalenicformType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``GalenicformType``>`

  - ### createCompoundprescriptionTypeQuantity

    public jakarta.xml.bind.JAXBElement<QuantityType> createCompoundprescriptionTypeQuantity(QuantityType value)
    Create an instance of `JAXBElement``<``QuantityType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``QuantityType``>`